QGIS Application - Bug report #7714
"eliminate slivers'" causes crash
2013-04-25 03:57 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: vinayan Parameswaran

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 16625

Description

I'm able to replicate a crash when using the "remove slivers" tool in ggis master. | cannot attach sample data, but | can provide it privately
to the dev that aventually will have a look at this issue. The console message is

Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1
Debug: undo index changed 1

2025-04-27 1/3




Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:
Debug:

undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1
undo index changed 1

2025-04-27

2/3




Debug: undo index changed 1
Killed

Associated revisions

Revision 83dc4cb9 - 2013-05-06 05:16 AM - vinayan Parameswaran

Merge pull request #577 from vinayan/sliverFix

[Fix #7714] ftools - Eliminate - improve performance with new vector api calls

History

#1 - 2013-05-04 09:09 AM - vinayan Parameswaran

- Assignee set to vinayan Parameswaran

#2 - 2013-05-04 09:12 PM - vinayan Parameswaran
- Pull Request or Patch supplied changed from No to Yes
- % Done changed from 0 to 100

pull request issued
https://github.com/qgis/Quantum-GIS/pull/577

#3 - 2013-05-05 08:16 PM - vinayan Parameswaran
- Status changed from Open to Closed

Fixed in changeset commit:"83dc4cb914c3e0f3612f190633191aea94e52c88".

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
